Package com.google.javascript.jscomp.graph

# Interface DiGraph.DiGraphNode<N,E>

Type Parameters:
  `N` - Value type that the graph node stores.
  `E` - Value type that the graph edge stores.

All Superinterfaces:
  `Annotatable`, `GraphNode<N,E>`

Enclosing class:
  `DiGraph<N,E>`

public static interface DiGraph.DiGraphNode<N,E> extends GraphNode<N,E>
A generic directed graph node.

## Method Summary

Modifier and Type
Method
Description
`List<DiGraph.DiGraphEdge<N,E>>`
`getInEdges()`
`List<DiGraph.DiGraphEdge<N,E>>`
`getOutEdges()`

### Methods inherited from interface com.google.javascript.jscomp.graph.Annotatable

`getAnnotation, setAnnotation`

### Methods inherited from interface com.google.javascript.jscomp.graph.GraphNode

`getValue`

## Method Details

### getOutEdges

List<DiGraph.DiGraphEdge<N,E>> getOutEdges()

### getInEdges

List<DiGraph.DiGraphEdge<N,E>> getInEdges()